hu.akarnokd.rxjava2.joins

## Class Pattern9<T1,T2,T3,T4,T5,T6,T7,T8,T9>

- java.lang.Object
- - hu.akarnokd.rxjava2.joins.Pattern9<T1,T2,T3,T4,T5,T6,T7,T8,T9>

Type Parameters:
  `T1` - the first value type
  `T2` - the second value type
  `T3` - the third value type
  `T4` - the fourth value type
  `T5` - the fifth value type
  `T6` - the sixth value type
  `T7` - the sevent value type
  `T8` - the eighth value type
  `T9` - the ninth value type

    public final class Pattern9<T1,T2,T3,T4,T5,T6,T7,T8,T9>
    extends java.lang.Object

Represents a join pattern over observable sequences.

### Constructor Summary

Constructors
Constructor and Description
`Pattern9(io.reactivex.Observable<T1> o1, io.reactivex.Observable<T2> o2, io.reactivex.Observable<T3> o3, io.reactivex.Observable<T4> o4, io.reactivex.Observable<T5> o5, io.reactivex.Observable<T6> o6, io.reactivex.Observable<T7> o7, io.reactivex.Observable<T8> o8, io.reactivex.Observable<T9> o9)`

### Method Summary

All Methods Instance Methods Concrete Methods
`PatternN` `and(io.reactivex.Observable<? extends java.lang.Object> other)` Creates a pattern that matches when all nine observable sequences have an available element.
`<R> Plan<R>` `then(io.reactivex.functions.Function9<T1,T2,T3,T4,T5,T6,T7,T8,T9,R> selector)` Matches when all observable sequences have an available element and projects the elements by invoking the selector function.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Pattern9

    public Pattern9(io.reactivex.Observable<T1> o1,
                    io.reactivex.Observable<T2> o2,
                    io.reactivex.Observable<T3> o3,
                    io.reactivex.Observable<T4> o4,
                    io.reactivex.Observable<T5> o5,
                    io.reactivex.Observable<T6> o6,
                    io.reactivex.Observable<T7> o7,
                    io.reactivex.Observable<T8> o8,
                    io.reactivex.Observable<T9> o9)

### Method Detail

#### and

    public PatternN and(io.reactivex.Observable<? extends java.lang.Object> other)

Creates a pattern that matches when all nine observable sequences have an available element.

Parameters:
  `other` - Observable sequence to match with the eight previous sequences.
Returns:
  Pattern object that matches when all observable sequences have an available element.

#### then

    public <R> Plan<R> then(io.reactivex.functions.Function9<T1,T2,T3,T4,T5,T6,T7,T8,T9,R> selector)

Matches when all observable sequences have an available element and projects the elements by invoking the selector function.

Type Parameters:
  `R` - the result type
Parameters:
  `selector` - the function that will be invoked for elements in the source sequences.
Returns:
  the plan for the matching
Throws:
  `java.lang.NullPointerException` - if selector is null